OSV-2021-586

Source
https://github.com/google/oss-fuzz-vulns/blob/main/vulns/kimageformats/OSV-2021-586.yaml
Published
2021-03-31T00:01:03.787831Z
Modified
2022-12-04T00:11:22.240064Z
Details

OSS-Fuzz report: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=32682

Crash type: Use-of-uninitialized-value
Crash state:
void intra_prediction_angular<unsigned short>
void decode_intra_prediction_internal<unsigned short>
decode_intra_prediction
References

Affected packages

OSS-Fuzz / kimageformats

kimageformats

Affected ranges

Type
GIT
Events
Introduced
ca52d4ddf540cc731d0f31dbccc1897f7e6d9db4

Affected versions

v5.*

v5.100.0-rc1
v5.101.0-rc1
v5.80.0
v5.80.0-rc1
v5.81.0
v5.81.0-rc1
v5.81.0-rc2
v5.82.0-rc1
v5.83.0
v5.83.0-rc1
v5.84.0-rc1
v5.85.0
v5.85.0-rc1
v5.86.0
v5.86.0-rc1
v5.87.0
v5.87.0-rc1
v5.88.0
v5.88.0-rc1
v5.89.0
v5.89.0-rc1
v5.90.0
v5.90.0-rc1
v5.91.0
v5.91.0-rc1
v5.92.0
v5.92.0-rc1
v5.93.0
v5.93.0-rc1
v5.94.0
v5.94.0-rc1
v5.95.0
v5.95.0-rc1
v5.96.0
v5.96.0-rc1
v5.97.0
v5.97.0-rc1
v5.98.0
v5.98.0-rc1
v5.99.0
v5.99.0-rc1

Ecosystem specific

{
    "severity": "MEDIUM"
}